package com.style24.core.support.exception;

import com.gagaframework.web.core.exception.GagaRuntimeException;

/**
 * 세션이 없을 경우 발생시키는 예외
 * 
 * @author gagamel
 * @since 2020. 10. 5
 */
@SuppressWarnings("serial")
public class TscNoSessionException extends GagaRuntimeException {

	/**
	 * Constructor
	 * 
	 * @param msg the detail message
	 */
	public TscNoSessionException(String msg) {
		super(msg);
	}

	/**
	 * Constructor
	 * 
	 * @param msg the detail message
	 * @param cause the root cause
	 */
	public TscNoSessionException(String msg, Throwable cause) {
		super(msg, cause);
	}

	/**
	 * Constructor
	 * 
	 * @param cause the root cause
	 */
	public TscNoSessionException(Throwable cause) {
		super(cause);
	}

}
